Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class AttachmentInfo

    java.lang.Object
      com.compoze.exchange.AttachmentInfo

public class AttachmentInfo
extends java.lang.Object

This class stores information about a single attachment.

Method Summary
`int` | `getIndex()` Gets the index of the attachment within the attachments collection of the message.
`java.lang.String` | `getName()` Gets the display name of the attachment.
`int` | `getPosition()` Gets the display position of the attachment within the message.
`int` | `getSize()` Gets the size of the attachment.
`AttachmentType` | `getType()` Gets the type of the attachment.
`javax.activation.DataHandler` | `serverGetAttachment()` Queries the server to get the attachment data handler.
`java.lang.String` | `toString()` Creates a string representation of the attachment info.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIndex

    public int getIndex()

  Gets the index of the attachment within the attachments collection of the message. This can be used to identify the attachment when retrieving its data.

  Returns:
    the index of the attachment
  See Also:
    `Message.serverGetAttachment(int)`

### getName

    public java.lang.String getName()

  Gets the display name of the attachment.

  Returns:
    the name

### getPosition

    public int getPosition()

  Gets the display position of the attachment within the message. `NOTE:` This value is used for display purposes only

  Returns:
    the display position of the attachment (0 indicates no preferred display position)

### getSize

    public int getSize()

  Gets the size of the attachment.

  Returns:
    the size of the attachment (in bytes)

### getType

    public AttachmentType getType()

  Gets the type of the attachment.

  Returns:
    the attachment type

### serverGetAttachment

    public javax.activation.DataHandler serverGetAttachment()
                                                     throws ExchangeException

  Queries the server to get the attachment data handler.

  Returns:
    a handler that can supply the attachment data
  Throws:
    `ExchangeException`

### toString

    public java.lang.String toString()

  Creates a string representation of the attachment info.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.